@echo off
REM *************** Chicago Proforma Spreadsheet Install/Setup ***************************
REM 
REM This batch file will install and setup the Chicago Proforma Spreadsheet for Excel 2003 (v13),
REM 2010(v14), and 2013(v15). 
REM
REM
REM    This file will do the following:
REM
REM
REM  - Create the directory "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet"
REM    and place the necessary data and system files in that directory.
REM
REM  - Move system library files (.dll) to the \windows\system32 folder.
REM 
REM  - Register the system library (.dll) files with the operating system
REM 
REM  - Update the WIndows system registry to include the necessary Excle Add-ins.


REM ****************** Check to see if we have admin rights for WIndows 8 ***************


:: BatchGotAdmin
::-------------------------------------
REM  --> Check for permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"

REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
    Requesting administrative privileges...
    goto UACPrompt
) else ( goto gotAdmin )

:UACPrompt
      @echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
      set params = %*:"=""
      @echo UAC.ShellExecute "cmd.exe", "/c %~s0 %params%", "", "runas", 1 >> "%temp%\getadmin.vbs"

    "%temp%\getadmin.vbs"
    del "%temp%\getadmin.vbs"
    exit /B

:gotAdmin
    pushd "%CD%"
    CD /D "%~dp0"
::--------------------------------------




REM @Echo Deleteing existing files @echo off




@IF EXIST "C:\Program Files". (rmdir /s /q "C:\Program Files\LightenGale Group".) ELSE goto :Create


:Create

REM ********* Create the local directory to store the needed files.  *********


mkdir "C:\Program Files\LightenGale Group"
mkdir "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet"




cd "Chicago Proforma Spreadsheet"


@Echo on

copy cpai.xla "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet"
copy CPF.dll "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet"
copy CPF.zip "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet"
copy GFCnvrt.exe "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet"
copy GFPXLA.exe "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet"
copy GFShell.dll "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet"
copy GFUtil.dll "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet"
copy PKUNZIP.exe "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet"


copy CPF_Blank.xltm "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet"
rem copy "CPF_Blank.xltm - Shortcut.lnk" "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet"


REM  *************  Copy Files to get pushed to Registry ******************************


copy Registry_Push.reg "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet"



REM *************** Place Shortcut on the User's Desktop **********************



echo +++++++++++++++++++++++++++ User Profile ++++++++++++++++++




copy "CPF_Blank.xltm - Shortcut.lnk" "%USERPROFILE%\Desktop"





echo %USERPROFILE%


:COPY

REM ********** Move system files to the \windows\system directory **************



@echo Moving dll files @echo off

copy CPF.dll      "C:\Windows\system32"
copy GFShell.dll  "C:\Windows\system32"
copy GFUtil.dll   "C:\Windows\system32"


REM ******* Register .dll files with the operating system ***********************


:REGISTER


@echo Registering dll files @echo off

regsvr32 /s "C:\Windows\system32\CPF.dll"
regsvr32 /s "C:\Windows\system32\GFShell.dll"
regsvr32 /s "C:\Windows\system32\GFUtil.dll"



REM   ***************  Update Registry Values for Excel Add-Ins  ***************



regedit /i/s "C:\Program Files\LightenGale Group\Chicago Proforma Spreadsheet\Registry_Push.reg"

@echo off



echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo Installation complete.  Press Enter to exit.
echo.
echo.


pause >nul

